Bug 1421373 - pyserial package comes with a dead symlink
Summary: pyserial package comes with a dead symlink
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pyserial
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul P Komkoff Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1732297 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 17:21 UTC by Michal Jaegermann
Modified: 2020-11-24 16:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:40:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Jaegermann 2017-02-11 17:21:40 UTC
Description of problem:

The 'pyserial' package supplies the following in /usr/bin:

 /usr/bin/miniterm-2.7.py -> /usr/bin/miniterm.py-2
 /usr/bin/miniterm-2.py
 /usr/bin/miniterm.py

There is no "/usr/bin/miniterm.py-2" and it looks like that this is a typo and /usr/bin/miniterm-2.py was really intendend.  Or if this symlink is not really needed then maybe it should not be there at all?

Version-Release number of selected component (if applicable):
pyserial-3.1.1-1.fc25

Comment 1 Fedora End Of Life 2017-11-16 19:08:08 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Michal Jaegermann 2017-11-16 20:40:55 UTC
Exactly the same typo is present in pyserial-3.1.1-4.fc27

Comment 3 Ben Cotton 2018-11-27 18:12:49 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Michal Jaegermann 2018-11-28 18:36:43 UTC
With Fedora 29 we have two bugs for a price of one as pyserial-3.1.1-10.fc29 comes with two binary packages: python2-pyserial-3.1.1-10.fc29 and python3-pyserial-3.1.1-10.fc29.  The first binary package has in /usr/bin a deal link miniterm-2.7.py -> /usr/bin/miniterm.py-2 while providing only miniterm-2.py and miniterm.py.  The other one has miniterm-3.7.py -> /usr/bin/miniterm.py-3 with only miniterm-3.py present.

Comment 5 Ben Cotton 2019-10-31 20:24:03 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-11-27 20:07:25 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Michal Jaegermann 2019-11-27 21:35:53 UTC
The original bug, as reported on 2017-02-11, was in the meantime fixed without recording this detail in bugzilla.  OTOH a subpackage python3-pyserial aquired this bug again.  Looking at python3-pyserial-3.4-3.fc31 I see in /usr/bin/:

   lrwxrwxrwx 1 root root    22 Nov 27 14:22 miniterm-3.7.py -> /usr/bin/miniterm.py-3

Only there is no miniterm.py-3. One can find /usr/bin/miniterm-3.py instead.

Comment 8 Michal Jaegermann 2019-11-27 21:54:45 UTC
(In reply to Michal Jaegermann from comment #7)
> The original bug, as reported on 2017-02-11, was in the meantime fixed

Checking more carefuly I am mistaken that this was fixed for python2-pyserial.  miniterm-2.7.py is still a link to a non-existent /usr/bin/miniterm.py-2 while in /usr/bin there are two identical copies called miniterm.py and miniterm-2.py and also miniterm-3.py which differs from two others only on a "bang line".

Comment 9 "FeRD" (Frank Dana) 2019-12-27 19:04:03 UTC
Miro (churchyard) actually fixed this in the spec last month (in this commit[1]), but only on the master (rawhide) branch. So I guess it'll be fixed in F32, if nothing else.

[1]: https://src.fedoraproject.org/rpms/pyserial/c/5b33d1b3cc67c198d65274c451297b0d80e040d1

Comment 10 "FeRD" (Frank Dana) 2019-12-27 19:05:43 UTC
*** Bug 1732297 has been marked as a duplicate of this bug. ***

Comment 11 Ben Cotton 2020-11-03 14:58:36 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2020-11-24 16:40:05 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.